import { DataState } from '@hestia-earth/api';
import { Practice, ITermJSONLD, NodeType } from '@hestia-earth/schema';
import * as i0 from "@angular/core";
export declare class CyclesPracticesLogsComponent {
    private cycle?;
    originalValues: Practice[];
    recalculatedValues: Practice[];
    NodeType: typeof NodeType;
    models: ITermJSONLD[];
    get node(): {
        '@type': NodeType;
        type: NodeType;
        dataState: DataState;
        description?: string;
        treatment?: string;
        site?: import("@hestia-earth/schema").Site;
        otherSites?: import("@hestia-earth/schema").Site[];
        siteDuration?: number;
        otherSitesDuration?: number[];
        harvestedArea?: number;
        defaultSource?: import("@hestia-earth/schema").Source;
        endDate?: string;
        startDate?: string;
        startDateDefinition?: import("@hestia-earth/schema").CycleStartDateDefinition;
        cycleDuration?: number;
        functionalUnit?: import("@hestia-earth/schema").CycleFunctionalUnit;
        functionalUnitDetails?: string;
        numberOfCycles?: number;
        numberOfReplications?: number;
        dataCompleteness?: import("@hestia-earth/schema").Completeness;
        inputs?: import("@hestia-earth/schema").Input[];
        emissions?: import("@hestia-earth/schema").Emission[];
        products?: import("@hestia-earth/schema").Product[];
        practices?: Practice[];
        transformations?: import("@hestia-earth/schema").Transformation[];
        originalId?: string;
        schemaVersion?: string;
        added?: string[];
        addedVersion?: string[];
        updated?: string[];
        updatedVersion?: string[];
        aggregated?: boolean;
        aggregatedVersion?: string;
        dataPrivate?: boolean;
        '@context': string | (string | import("@hestia-earth/schema").IContext)[];
        '@id': string;
        name: string;
    };
    get logsKey(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<CyclesPracticesLogsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CyclesPracticesLogsComponent, "he-cycles-practices-logs", never, { "cycle": "cycle"; "originalValues": "originalValues"; "recalculatedValues": "recalculatedValues"; }, {}, never, never>;
}
